Bug 77507 - [MAINTAINER] ports/sysutils/file -> 4.13
Summary: [MAINTAINER] ports/sysutils/file -> 4.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Stolz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-14 13:50 UTC by jharris
Modified: 2005-02-16 08:51 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2005-02-14 13:50:13 UTC
	update to 4.13

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iJoEARECAFoFAkIQqepTGGh0dHA6Ly9rZXlzZXJ2ZXIua2pzbC5jb206ODAvcGtz
L2xvb2t1cD9vcD1nZXQmc2VhcmNoPTB4RDM5REEwRTMmd2VoYXZleW91bm93PXRy
dWUACgkQSypIl9OdoOM9yQCfYLmIc2Q5bsxKKetIsAzYeG6anG8AoLYIX3P859d3
nimfnY9x2t0RwJ7D
=/e1D
-----END PGP SIGNATURE-------GIWMv595mONZY4PdZjg2NSqPQKE8okkvp6qTQU9V58fQrrOV
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/sysutils/file/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- Makefile	26 Aug 2004 08:11:46 -0000	1.14
+++ Makefile	14 Feb 2005 13:38:31 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	file
-PORTVERSION=	4.10
+PORTVERSION=	4.13
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.astron.com/pub/file/ \
 		ftp://ftp.gw.com/mirrors/pub/unix/file/ \
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/sysutils/file/distinfo,v
retrieving revision 1.10
diff -u -r1.10 distinfo
--- distinfo	26 Aug 2004 08:11:46 -0000	1.10
+++ distinfo	14 Feb 2005 13:38:31 -0000
@@ -1,5 +1,5 @@
-MD5 (file-4.10.tar.gz) = c3cf1bda84a9d55896d4b7dd2caee68d
-SHA1 (file-4.10.tar.gz) = 64e06bc6052050a2770136a16354f6dd57bf2714
-RMD160 (file-4.10.tar.gz) = 6b741b1af87187067371c4513db72f1492bde7a2
-SHA256 (file-4.10.tar.gz) = 6f320264af68e7222c60bca90655db5814a2a5e19e87e9c5c11e90d107d34132
-SIZE (file-4.10.tar.gz) = 368537
+MD5 (file-4.13.tar.gz) = 2bfc0f878ee22e50441b68df2ccbb984
+SHA1 (file-4.13.tar.gz) = a643b6e4c00cb7673a4dfd055d972dda0f5e0f53
+RMD160 (file-4.13.tar.gz) = 6ad85982bda00f6d1f037ab85698f4cbcb76970a
+SHA256 (file-4.13.tar.gz) = 98dfd26c2780fba4dd62ce93bfafdc9345eb700115d0f717d5ec45582ef99861
+SIZE (file-4.13.tar.gz) = 420851
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/sysutils/file/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- pkg-plist	3 Jan 2004 21:29:16 -0000	1.4
+++ pkg-plist	14 Feb 2005 13:38:31 -0000
@@ -2,6 +2,7 @@
 lib/libmagic.so.1
 lib/libmagic.so
 lib/libmagic.a
+lib/libmagic.la
 include/magic.h
 share/file/magic
 share/file/magic.mime
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Volker Stolz freebsd_committer 2005-02-14 16:37:08 UTC
State Changed
From-To: open->feedback

If you set USE_LIBTOOL instead of USE_INC_LIBTOOL, the .la file won't be 
generated at all. Or is it required for proper operation? 


Comment 2 Volker Stolz freebsd_committer 2005-02-14 16:37:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

I'll track this
Comment 3 Volker Stolz freebsd_committer 2005-02-16 08:46:50 UTC
State Changed
From-To: feedback->closed

Committed with modifications, thanks! 
- the usual tricks to get rid of the .la didn't work, so it's in there 
- the post-extract-hackery is no longer necessary 
- wchar.h is no longer an issue, thus no more REINPLACE 
- we do not support additional checksums in the distinfo, please be 
careful not to pull in stuff from experimental ports-infrastructure patches.